<!-- string interpolation -->
<p>{{ allowNewServer }}</p>

<!-- data binding -->
<p [innerText]="allowNewServer"></p>

<label>Server Name</label>

<!-- one way binding -->
<input
    type="text"
    class="form-control"
    (input)="onUpdateServerName($event)"
>

<!-- two way binding -->
<input type="text" class="form-control"
    [(ngModel)]="yolo"
>

<button
  class="btn btn-primary"
  [disabled]="!allowNewServer"
  (click)="onCreateServer()"
>
  Add Server
</button>

<p>{{yolo}}</p>

<p>{{serverStatus}}</p>

<!-- if else -->
<p *ngIf="serverCreated; else noServer">Server created with name {{yolo}}</p>
<ng-template #noServer>
    <p>no server, go away!</p>
</ng-template>


<app-server *ngFor="let server of servers"></app-server>
